Subject: RE: Huge CRLs

From: "Grant, Alistair" <[email-masked]>
Date: Tue, 14 Sep 1999 21:17:23 -0400

Hi Ambarish,

You wrote:
	    Basically, with OCSP, the responder needs to have its key
	available online to sign responses (you can mitigate this risk to
	some extent by having a proxy between your responder and the rest
	of the world, but it is still an issue). So you need to make your
	responder available for people to talk to, but if anybody ever
	manages to break into your responder and get access to your private
	key, your whole OCSP response system is open to compromise.

	With CRTs, you can acctually have the Tree Issuer be separate from
	the CRT responders. The Tree Issuer has access to your CRT private
	key and can create new CRTs, which it then distributes to one or
	more CRT responders (which don't have the highly trusted private
	key), which actually provide the CRT responses.

I think I must be missing something, even with CRT's the OCSP responder
still has to sign its response, so the situation does not seem to be
improved by the use of CRT's.

Cheers,

Alistair Grant
Phone:	+61 3 9727 8912
Mobile:	+61 408 565 080
Fax:  	+61 3 9727 3491
E-Mail:	[email-masked]

> > -----Original Message-----
> > From: Daniel Lanz [mailto:[email-masked]]
> > Sent: Tuesday, September 14, 1999 7:57 AM
> > To: 'Ambarish Malpani'
> > Cc: [email-masked]
> > Subject: RE: Huge CRLs
> > 
> > 
> > 
> > 
> > >CRTs are a proprietary method to implement OCSP in a more scalable
> > >and secure way.
> > 
> > Ambarish,
> > 
> > How do CRTs make OCSP more secure?
> > 
> > Regards,
> > 
> > Dan Lanz
> > 
> > 
> >

---

From: "Ambarish Malpani" <[email-masked]>
Date: Mon, 20 Sep 1999 14:04:23 -0700

Hi Alistair,
    On talking with Peter, it appears that I was not very clear
in my mail.

One of the things that OCSP allows you to do, is specify your
response type as part of the response. If your response type
is a CRT based response, then you don't need to sign the response,
since you provide the signature on the CRT itself as proof of the
validity of the response.

In short, when you get an OCSP request, you set the response-type
as a CRT based response and then include the CRT slice in the
response. This means that you don't sign the specific response,
so the creator of the CRT and the provider of the response can
be different entities - one with a private key (to sign the CRT)
and the other without any private key (since it is just doling
out responses based on a trusted CRT).

Hope this clarifies the issue,
Regards,
Ambarish

---------------------------------------------------------------------
Ambarish Malpani
Architect                                                650.567.5457
ValiCert, Inc.                                  [email-masked]
1215 Terra Bella Ave.                         http://www.valicert.com
Mountain View, CA 94043-1833

> From: Grant, Alistair [mailto:[email-masked]]
> Sent: Tuesday, September 14, 1999 6:17 PM
> To: [email-masked]
> Cc: Ambarish Malpani; 'Daniel Lanz'
> Subject: RE: Huge CRLs
> 
> 
> Hi Ambarish,
> 
> You wrote: